Subject: Re: [RFC PATCH v3 00/17] virtual-bus

From: Gregory Haskins <[email-masked]>
Date: Mon, 11 May 2009 10:41:54 -0400

Nikola Ciprich wrote:
> Hi Gregory,
>
> I'd like to try Your vbus patches, but compiling 2.6.30-rc2 (or 2.6.30-rc5) fails
> with following error:
> drivers/vbus/proxy/kvm-guest-vbus: struct pci_device_id is 32 bytes.  The last of 1 is:
> 0xda 0x11 0x00 0x00 0x00 0x20 0x00 0x00 0xff 0xff 0xff 0xff 0xff 0xff 0xff 0xff 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00
> FATAL: drivers/vbus/proxy/kvm-guest-vbus: struct pci_device_id is not terminated with a NULL entry!
>
> Do You have any idea on what might be wrong?
> thanks a lot in advance...
>   
Hi Nik,
  I haven't seen that error with vbus itself, but oddly enough I just
encountered something similar when I was working on a different series
(nullio).   The fix there was trivial, and I suspect it will be here as
well.  What I am more confused on is why this suddenly started
happening....  I will get back to you with a fix.

Regards,
-Greg